Subject: [Adslmib] RE: Submission of LCS MIB draft

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 12 Jan 2005 16:41:16 +0100

IDNITS tool says: cool:
----------
$ idnits draft-ietf-adslmib-vdsl-ext-mcm-05.txt
idnits 1.58
 
draft-ietf-adslmib-vdsl-ext-mcm-05.txt:
 
  Checking nits according to http://www.ietf.org/ID-Checklist.html <http://www.ietf.org/ID-Checklist.html>  :
 
    Checking conformance with RFC 3667/3668 boilerplate...
    the boilerplate looks good.
    No nits found.
 
  Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt <http://www.ietf.org/ietf/1id-guidelines.txt>  :
 
    Nothing found here (but these checks does not cover all of 1id-guidelines.txt yet).
 
  Miscellaneous warnings:
 
    None.
 
    No nits found.
------------
 
SMICng tells me:
C:\bwijnen\smicng\work>smicng vdslmcm.inc
W: f(vdslmcm.mi2), (11,5) "ifIndex" imported but not used
----------
 
vdslLineMCMConfProfileTable in DESCRIPTION clause states:
          All read-create objects defined in this MIB module SHOULD be
          stored persistently."
You probably mean "All read-create-objects defined in this table..."
 
Same for: vdslLineMCMConfProfileTxBandTable and vdslLineMCMConfProfileRxBandTable
  and vdslLineMCMConfProfileTxPSDTable and vdslLineMCMConfProfileMaxTxPSDTable
  in fact for all tables it seems
 
---------
Question: 
    vdslLineMCMConfProfileTxWindowLength OBJECT-TYPE
        SYNTAX       Unsigned32 (1..255)
 
will that range ever byet us in the future? Just wondering/asking.
 
Similar questions or some of the other ranges specified in this MIB module.
As long as we know what we (as a WG) are doing, then I am fine with it.
 
-----------
I do not understand:
    vdslLineExtMCMMibCompliance MODULE-COMPLIANCE
        STATUS  current
        DESCRIPTION
            "The compliance statement for SNMP entities which
            manage VDSL interfaces."
        MODULE  -- this module
        GROUP       vdslLineExtMCMGroup
        DESCRIPTION
            "This group is an optional extension for VDSL lines which
            utilize Multiple Carrier Modulation (MCM)."
        ::= { vdslLineExtMCMCompliances 1 }
 
I Understand this whole MIB module is optional, So I would assume if someone does not
implement it then they do not claim compliance. 
But what does it mean if you claim compliance and there is only a single group and
that group is optional. Does this mean you can claim compliance and not implement anything?
I think I would make the single group MANDATORY. If you claim compliance then you MUST
implement that one and only group.
Makes sense?
You did so in the SCM module (which makes sense to me)
 
-----------
6.  Security Considerations
 
   There are a number of management objects defined in this MIB module
   with a MAX-ACCESS clause of read-create.  Such objects may be
   considered sensitive or vulnerable in some network environments.
   The support for SET operations in a non-secure environment without
   proper protection can have a negative effect on network operations.
   These are the tables and objects and their sensitivity/vulnerability:
 
                vdslLineMCMConfProfileTable,
                vdslLineMCMConfProfileTxWindowLength,
                ... more in teh list ...
 
But where does it describe what the vulnerability is? What would happen if someone
gets write access while not authorized. What are the risks?
I guess it is there, but I am just confused by seeing this para first:
 
   Some of the readable objects in this MIB module (i.e., objects with a
   MAX-ACCESS other than not-accessible) may be considered sensitive or
   vulnerable in some network environments.
 
There are no read-only objects, but the writable objects of course are also readable,
so we do want to understand what vulnerabilities (if any) there are for unauthorized
reading. I don't think I see any words on that, do I
 
Bert

-----Original Message-----
From: Menachem Dodge [mailto:[email-masked]]
Sent: Sunday, December 19, 2004 23:13
To: [email-masked]
Cc: Michael Sneed; [email-masked]; Wijnen, Bert (Bert)
Subject: Submission of LCS MIB draft

Dear Sir/Madam, 

    I would like to submit the draft: draft-ietf-adslmib-vdsl-ext-mcm-05.txt.
 
    Please find the document attached.
 
    Kindest Regards,
 
    Menachem Dodge.

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib